@import "variables";
@media (min-width: 320px) {
  .header {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 800px;
    background: linear-gradient(225.41deg, rgb(255, 238, 50) -13.303%,rgb(214, 214, 214) 125.303%);

    position: relative;
  }

  .header__logo {
    width: 56px;
    height: 56px;
  }

  .header__menu {
    display: flex;
    justify-content: space-between;

    padding: 27px 16px 0 16px;

    &-list {
      display: none;
      width: 100%;
      list-style: none;
      justify-content: space-between;
    }
  }

  .header__burger-image {
    position: absolute;
    top: 30px;
    right: 15px;

    padding: 20px;
    border: 2px solid white;
    border-radius: 20px;
  }

  .header__title {
    width: 330px;

    color: $primary-color;
    font-family: $font-secondary;
    font-size: $font-size-xl;
    font-weight: $font-medium;
    line-height: 58px;
    text-align: left;

    margin: 0 0 150px 20px;
  }
}

@media (min-width: 768px) {
  .header__burger-image {
    top: 40px;
    right: 30px;
  }

  .header__title {
    width: 520px;
    font-size: $font-size-xxl;
    line-height: 96px;
    margin: 0 0 150px 35px;
  }
}

@media (min-width: 1200px) {

  .header__menu {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
  }
 
  .header__navigation-menu {
    display: inline-flex;
    align-items: center;
    margin-right: 180px;
  }

  .header__logo {
    margin-left: 175px;
  }

  .header__menu-list {
    display: flex;
    width: 595px;
    list-style: none;
    justify-content: space-between;
  }

  .header__menu-item {
    display: inline-flex;

    justify-content: center;
    align-items: center;
    padding: 10px 16px;
    border: 1px solid #fff;
    border-radius: 20px;

    color: #FFFFFF;
    font-size: $font-size-root;
    font-weight: $font-medium;
    line-height: 22px;
    text-align: left;

    &--mod-1::before {
      content: url("../images/magic-wand.svg");

      width: 16px;
      height: 16px;
      margin-right: 12px;
    }

    &--mod-2::before {
      content: url("../images/document.svg");

      width: 16px;
      height: 16px;
      margin-right: 12px;
    }

    &--mod-3::before {
      content: url("../images/tulip.svg");

      width: 16px;
      height: 16px;
      margin-right: 12px;
    }

    &--mod-4::before {
      content: url("../images/comment-hurt.svg");

      width: 16px;
      height: 16px;
      margin-right: 12px;
    }
  }

  .header__burger-image {
    display: none;
  }

  .header__title {
    width: 850px;
    font-size: $font-size-xxl;
    margin: 0 0 120px 190px;
  }


}




